Bem-vindo: Ter, 20 de Agosto 2019, 22:13 Pesquisa avançada

Problema com remoção do Kernel

Exponha aqui todas as dúvidas ou pontos de vista sobre a instalação do Ubuntu!

Problema com remoção do Kernel

Mensagempor BollaBR » Qui, 12 de Dezembro 2013, 21:25

Olá pessoal, tudo bem?

Sou novo na comunidade, gostaria de saber se alguem pode me ajudar.
Estou com a minha partição /boot com 99.7% usados, e com isso não consigo fazer mais nenhuma instalação nem nada.. Utilizo Ubuntu Server.

Já tentei seguir vários artigos de como remover os kernel's antigos, porem sem sucesso. O oque acontece é o seguinte:

root@servidor:/home# dpkg -l linux-image-\* | grep ^ii
ii linux-image-3.5.0-23-generic 3.5.0-23.35~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-28-generic 3.5.0-28.48~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-30-generic 3.5.0-30.51~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-31-generic 3.5.0-31.52~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-32-generic 3.5.0-32.53~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-34-generic 3.5.0-34.55~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-37-generic 3.5.0-37.58~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-39-generic 3.5.0-39.60~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-40-generic 3.5.0-40.62~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
ii linux-image-3.5.0-41-generic 3.5.0-41.64~precise1 Linux kernel image for version 3.5.0 on 32 bit x86 SMP
root@servidor:/home#

===========================================================================================

root@servidor:/home# apt-get purge linux-image-3.5.0-23-generic
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic-lts-quantal : Depende: linux-image-3.5.0-44-generic mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).
root@servidor:/home#

===========================================================================================


root@servidor:/home# apt-get -f install

(São vários desses avisos do dpkg, porem não consegui copiar todos.)

dpkg: aviso: falta ficheiro de lista de ficheiros `libltdl-dev', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `memtest86+', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libelf1', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `debconf', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libtext-wrapi18n-perl', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `mysql-client-core-5.5', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `tcpd', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `python-pkg-resources', assumindo que o pacote não tem actualmente ficheiros instalados.
(Lendo banco de dados ... 309 ficheiros e directórios actualmente instalados.)
Desempacotando linux-image-3.5.0-44-generic (de .../linux-image-3.5.0-44-generic_3.5.0-44.67~precise1_i386.deb) ...
Done.
dpkg: erro processando /var/cache/apt/archives/linux-image-3.5.0-44-generic_3.5.0-44.67~precise1_i386.deb (--unpack):
falhou ao escrever na cópia do buffer para mecanismo dpkg-deb durante './boot/System.map-3.5.0-44-generic': Não há espaço disponível no dispositivo
Nenhum relatório apport escrito pois a mensagem de erro indica erro de disco cheio
dpkg-deb: erro: subprocesso colar foi finalizado pelo sinal (Pipe quebrado)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.5.0-44-generic /boot/vmlinuz-3.5.0-44-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.5.0-44-generic /boot/vmlinuz-3.5.0-44-generic
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/linux-image-3.5.0-44-generic_3.5.0-44.67~precise1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@servidor:/home#

===========================================================================================

E é isso. Não consigo fazer nenhum comando. Gostaria de saber como resolver isso, pois sou leigo no assunto. Posso dar um rm nos arquivos da pasta /boot?

root@servidor:/boot# ls
abi-3.5.0-23-generic config-3.5.0-28-generic initrd.img-3.5.0-28-generic System.map-3.5.0-23-generic vmlinuz-3.5.0-28-generic
abi-3.5.0-28-generic config-3.5.0-30-generic initrd.img-3.5.0-30-generic System.map-3.5.0-28-generic vmlinuz-3.5.0-30-generic
abi-3.5.0-30-generic config-3.5.0-31-generic initrd.img-3.5.0-31-generic System.map-3.5.0-30-generic vmlinuz-3.5.0-31-generic
abi-3.5.0-31-generic config-3.5.0-32-generic initrd.img-3.5.0-32-generic System.map-3.5.0-31-generic vmlinuz-3.5.0-32-generic
abi-3.5.0-32-generic config-3.5.0-34-generic initrd.img-3.5.0-34-generic System.map-3.5.0-32-generic vmlinuz-3.5.0-34-generic
abi-3.5.0-34-generic config-3.5.0-37-generic initrd.img-3.5.0-37-generic System.map-3.5.0-34-generic vmlinuz-3.5.0-37-generic
abi-3.5.0-37-generic config-3.5.0-39-generic initrd.img-3.5.0-39-generic System.map-3.5.0-37-generic vmlinuz-3.5.0-39-generic
abi-3.5.0-39-generic config-3.5.0-40-generic initrd.img-3.5.0-40-generic System.map-3.5.0-39-generic vmlinuz-3.5.0-40-generic
abi-3.5.0-40-generic config-3.5.0-41-generic lost+found System.map-3.5.0-40-generic vmlinuz-3.5.0-41-generic
abi-3.5.0-41-generic grub memtest86+.bin System.map-3.5.0-41-generic
config-3.5.0-23-generic initrd.img-3.5.0-23-generic memtest86+_multiboot.bin vmlinuz-3.5.0-23-generic
root@servidor:/boot#

===========================================================================================

Abraços e obrigado desde já!

BollaBR
 
Mensagens: 31
Registrado em: 12 Dezembro, 2013

Re: Problema com remoção do Kernel

Mensagempor Miguel Fonseca » Qui, 12 de Dezembro 2013, 22:00

Boas Bolla, no terminal executa o seguinte comando:

sudo apt-get remove --purge linux-image-3.5.0-23-generic linux-image-3.5.0-28-generic linux-image-3.5.0-30-generic linux-image-3.5.0-31-generic linux-image-3.5.0-32-generic linux-image-3.5.0-34-generic linux-image-3.5.0-37-generic linux-image-3.5.0-39-generic


Com este comando, só vamos deixar os últimos dois (mais actualizados!) kernels no teu PC.

Depois:

sudo apt-get clean


sudo apt-get autoclean


sudo apt-get autoremove


sudo apt-get update


sudo apt-get upgrade


sudo apt-get -f install


Se ele der algum erro no final destes comandos, "posta" aqui.

Aguardo!
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: Problema com remoção do Kernel

Mensagempor BollaBR » Qui, 12 de Dezembro 2013, 23:45

Fala Miguel, tudo bem?

Deu erro cara! Olha só:

root@servidor:/home/galaxy# sudo apt-get remove --purge linux-image-3.5.0-23-generic linux-image-3.5.0-28-generic linux-image-3.5.0-30-generic linux-image-3.5.0-31-generic linux-image-3.5.0-32-generic linux-image-3.5.0-34-generic linux-image-3.5.0-37-generic linux-image-3.5.0-39-generic
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic-lts-quantal : Depende: linux-image-3.5.0-44-generic mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).
root@servidor:/home/galaxy#


Qualquer coisa que eu tente fazer ocorre isso! :\

BollaBR
 
Mensagens: 31
Registrado em: 12 Dezembro, 2013

Re: Problema com remoção do Kernel

Mensagempor Miguel Fonseca » Sex, 13 de Dezembro 2013, 0:11

Bolla, tenta um a um remover os kernels, para ver se consegues remover algum de forma a ganhares espaço para poderes resolver o problema das dependências!

Remove UMA VERSÃO de cada vez!

Aguardo.
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: Problema com remoção do Kernel

Mensagempor BollaBR » Sex, 13 de Dezembro 2013, 0:14

Já tentei, todas as formas dão o mesmo problema..

BollaBR
 
Mensagens: 31
Registrado em: 12 Dezembro, 2013

Re: Problema com remoção do Kernel

Mensagempor Miguel Fonseca » Sex, 13 de Dezembro 2013, 0:33

Bolla, tenta instalar o Aptitude:

sudo apt-get install aptitude


Se der, executa:

sudo aptitude -f install


Ele vai apresentar a solução, ACEITA!!

Se der tudo certo, não mexas em mais nada, reinicia o PC e executa este comando:

sudo update-grub


e COLOCA AQUI o resultado.

Aguardo.
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: Problema com remoção do Kernel

Mensagempor BollaBR » Sex, 13 de Dezembro 2013, 0:36

Mesma coisa cara! :/

galaxy@servidor:~$ sudo apt-get install aptitude
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
aptitude já é a versão mais nova.
aptitude configurado para instalar manualmente.
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
linux-image-generic-lts-quantal : Depende: linux-image-3.5.0-44-generic mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).
galaxy@servidor:~$

BollaBR
 
Mensagens: 31
Registrado em: 12 Dezembro, 2013

Re: Problema com remoção do Kernel

Mensagempor Miguel Fonseca » Sex, 13 de Dezembro 2013, 0:45

Bolla, se já tens o Aptitude instalado (ele diz que SIM!), então executa o comando:

sudo aptitude -f install


Ele vai apresentar uma solução, ACEITA!

Se não der erros, reinicia o PC IMEDIATAMENTE e depois:

sudo update-grub


E COLOCA AQUI o resultado do comando!

Aguardo!
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Re: Problema com remoção do Kernel

Mensagempor BollaBR » Sex, 13 de Dezembro 2013, 0:47

Acho que QUASe deu alguma coisa..

Veja:

dpkg: aviso: falta ficheiro de lista de ficheiros `libgdbm3', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libcairo2', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `man-db', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libffi6', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `module-init-tools', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `gettext-base', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libperl5.14', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libdbus-1-3', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `cups-ppdc', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libssl1.0.0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `gpgv', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `login', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `telnet', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libxml2', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `laptop-detect', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `makedev', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `python-twisted-bin', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libxmuu1', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libclass-accessor-perl', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libxcb-shm0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libdbi-perl', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `debianutils', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libfreetype6', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `sudo', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libsane', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libopts25', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `coreutils', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `linux-image-3.5.0-31-generic', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libnl-3-200', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgl1-mesa-dri', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libxdmcp6', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libt1-5', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `shared-mime-info', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libpolkit-gobject-1-0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `dash', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libltdl-dev', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `memtest86+', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libelf1', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `debconf', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libtext-wrapi18n-perl', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `mysql-client-core-5.5', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `tcpd', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `python-pkg-resources', assumindo que o pacote não tem actualmente ficheiros instalados.
(Lendo banco de dados ... 306 ficheiros e directórios actualmente instalados.)
Removendo linux-generic-lts-quantal ...
Removendo linux-image-generic-lts-quantal ...
Configurando initramfs-tools (0.99ubuntu13.4) ...
update-initramfs: deferring update (trigger activated)
Configurando samba-common (2:3.6.3-2ubuntu2.9) ...
dpkg: erro processando samba-common (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 10
Nenhum relatório apport escrito pois MaxReports já foi atingido
dpkg: problemas de dependência impedem a configuração de samba-common-bin:
samba-common-bin depende de samba-common (>= 2:3.4.0~pre1-2); porém:
Pacote samba-common não está configurado ainda.
dpkg: erro processando samba-common-bin (--configure):
problemas de dependência - deixando desconfigurado
Nenhum relatório apport escrito pois MaxReports já foi atingido
dpkg: problemas de dependência impedem a configuração de samba:
samba depende de samba-common (= 2:3.6.3-2ubuntu2.9); porém:
Pacote samba-common não está configurado ainda.
samba depende de samba-common-bin; porém:
Pacote samba-common-bin não está configurado ainda.
dpkg: erro processando samba (--configure):
problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de smbclient:
smbclient depende de samba-common (= 2:3.6.3-2ubuntu2.9); porém:
Pacote samba-common não está configurado ainda.
dpkg: erro processando smbclient (--configure):
problemas de dependência - deixando desconfigurado
Nenhum relatório apport escrito pois MaxReports já foi atingido
Nenhum relatório apport escrito pois MaxReports já foi atingido
Processando gatilhos para initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.5.0-40-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.5.0-40-generic with 1.
dpkg: erro processando initramfs-tools (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Nenhum relatório apport escrito pois MaxReports já foi atingido
Erros foram encontrados durante o processamento de:
samba-common
samba-common-bin
samba
smbclient
initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
A instalação de um pacote falhou. Tentando recuperar:
Configurando initramfs-tools (0.99ubuntu13.4) ...
update-initramfs: deferring update (trigger activated)
Configurando samba-common (2:3.6.3-2ubuntu2.9) ...
dpkg: erro processando samba-common (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 10
dpkg: problemas de dependência impedem a configuração de smbclient:
smbclient depende de samba-common (= 2:3.6.3-2ubuntu2.9); porém:
Pacote samba-common não está configurado ainda.
dpkg: erro processando smbclient (--configure):
problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de samba-common-bin:
samba-common-bin depende de samba-common (>= 2:3.4.0~pre1-2); porém:
Pacote samba-common não está configurado ainda.
dpkg: erro processando samba-common-bin (--configure):
problemas de dependência - deixando desconfigurado
dpkg: problemas de dependência impedem a configuração de samba:
samba depende de samba-common (= 2:3.6.3-2ubuntu2.9); porém:
Pacote samba-common não está configurado ainda.
samba depende de samba-common-bin; porém:
Pacote samba-common-bin não está configurado ainda.
dpkg: erro processando samba (--configure):
problemas de dependência - deixando desconfigurado
Processando gatilhos para initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.5.0-40-generic

gzip: stdout: No space left on device
cpio: erro de escrita: Pipe quebrado
E: mkinitramfs failure cpio 1 gzip 1
update-initramfs: failed for /boot/initrd.img-3.5.0-40-generic with 1.
dpkg: erro processando initramfs-tools (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
samba-common
smbclient
samba-common-bin
samba
initramfs-tools

Estado atual: 0 quebrado [-1].
galaxy@servidor:~$


Não executei o GRUB, devo executar?

BollaBR
 
Mensagens: 31
Registrado em: 12 Dezembro, 2013

Re: Problema com remoção do Kernel

Mensagempor Miguel Fonseca » Sex, 13 de Dezembro 2013, 0:53

Pois é Bolla, instalaste quase 10 kernels e reservaste pouco espaço para o Ubuntu!

Se leres as mensagens que te aparecem no terminal, estás sem espaço para instalar seja ou remover seja o que for!

Vamos tentar estes comandos para tentar ganhar algum espaço:

sudo apt-get clean


sudo apt-get autoclean


sudo apt-get autoremove


e der algum erro "posta", caso contrário, já te dou mais alguns comandos a ver se conseguimos desbloquear a situação sem teres que instalar o Ubuntu outra vez!

O problema neste momento, é FALTA DE ESPAÇO!

Aguardo!
It is only in Love and Murder, that we still remain sincere! - Friedrich Durrenmatt
Avatar do usuário
Miguel Fonseca
Bleeding-edge Helper
 
Mensagens: 2512
Registrado em: 10 Junho, 2011

Próximo

Voltar para Instalação do Ubuntu

Quem está online

Usuários navegando neste fórum: Nenhum usuário registrado e 5 visitantes